Bug 1475234 (CVE-2017-2839) - CVE-2017-2839 freerdp: Rdp Client License Read Challenge Packet Denial of Service
Summary: CVE-2017-2839 freerdp: Rdp Client License Read Challenge Packet Denial of Ser...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-2839
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475245 1475247 1475246
Blocks: 1475243
TreeView+ depends on / blocked
 
Reported: 2017-07-26 09:11 UTC by Adam Mariš
Modified: 2019-09-29 14:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-07 13:59:04 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-07-26 09:11:50 UTC
An exploitable denial of service vulnerability exists within the handling of challenge packets in FreeRDP 2.0.0-beta1+android11. A specially crafted challenge packet can cause the program termination leading to a denial of service condition. An attacker can compromise the server or use man in the middle to trigger this vulnerability.

This vulnerability is located in the handling of security data function. The function reads a length value from the server packet. A malicious actor can send a specially crafted packet with a modified length value causing the client to crash and causing a denial of service condition.

External References:

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0341
http://blog.talosintelligence.com/2017/07/vulnerbility-spotlight-freerdp-multiple.html

Comment 1 Adam Mariš 2017-07-26 09:30:50 UTC
Created freerdp tracking bugs for this issue:

Affects: epel-6 [bug 1475247]
Affects: fedora-all [bug 1475246]


Created freerdp1.2 tracking bugs for this issue:

Affects: fedora-all [bug 1475245]

Comment 3 Stefan Cornelius 2017-08-07 13:59:11 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.